<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: AccessoryServo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryServo.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classAccessoryServo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AccessoryServo Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for AccessoryServo:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classAccessoryServo.png" usemap="#AccessoryServo_map" alt=""/>
  <map id="AccessoryServo_map" name="AccessoryServo_map">
<area href="classAccessory.html" alt="Accessory" shape="rect" coords="0,0,107,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aff937dbf8b0adc731c408bafeae3ea35"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#aff937dbf8b0adc731c408bafeae3ea35">AccessoryServo</a> ()</td></tr>
<tr class="separator:aff937dbf8b0adc731c408bafeae3ea35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c7242a9a390a8ef84aaa6ffa4903d66"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a8c7242a9a390a8ef84aaa6ffa4903d66">GetMinimumPosition</a> () const </td></tr>
<tr class="separator:a8c7242a9a390a8ef84aaa6ffa4903d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cf8090b153babc59ea4fd68e667b524"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a6cf8090b153babc59ea4fd68e667b524">GetMaximumPosition</a> () const </td></tr>
<tr class="separator:a6cf8090b153babc59ea4fd68e667b524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ba8df88782420e8b0ac8daaa08c839c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a8ba8df88782420e8b0ac8daaa08c839c">GetCurrentPosition</a> () const </td></tr>
<tr class="separator:a8ba8df88782420e8b0ac8daaa08c839c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab798dc607c3829d083d98249384d6351"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#ab798dc607c3829d083d98249384d6351">SetMinMax</a> (int inMinimum, int inMaximum)</td></tr>
<tr class="separator:ab798dc607c3829d083d98249384d6351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa29ccb7c6cb0dd8e133a45c06e4019fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#aa29ccb7c6cb0dd8e133a45c06e4019fd">AddMinMaxMovingPositions</a> (unsigned long inIdMin, unsigned long inIdMax)</td></tr>
<tr class="separator:aa29ccb7c6cb0dd8e133a45c06e4019fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a334bdb362302f017da902c101293c2aa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a334bdb362302f017da902c101293c2aa">IsMinimumOrLowerPosition</a> () const </td></tr>
<tr class="separator:a334bdb362302f017da902c101293c2aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91065a4e5fb34bbdbe1f7f7c4f3c80b4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a91065a4e5fb34bbdbe1f7f7c4f3c80b4">IsMaximumOrGreaterPosition</a> () const </td></tr>
<tr class="separator:a91065a4e5fb34bbdbe1f7f7c4f3c80b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953f43e74fef2596af0ccfbf6ab3397e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a953f43e74fef2596af0ccfbf6ab3397e">IsMiscPosition</a> () const </td></tr>
<tr class="separator:a953f43e74fef2596af0ccfbf6ab3397e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a7748426c761fda3f018d7e8310c9ed"><td class="memItemLeft" align="right" valign="top">MovementSpeed&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a9a7748426c761fda3f018d7e8310c9ed">GetMovementSpeed</a> () const </td></tr>
<tr class="separator:a9a7748426c761fda3f018d7e8310c9ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a508e4bd324b4784b1dbf3bc729906725"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a508e4bd324b4784b1dbf3bc729906725">CanBePositional</a> () const </td></tr>
<tr class="separator:a508e4bd324b4784b1dbf3bc729906725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34b0fe645b1cadd12aae4c09574c8bc5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a34b0fe645b1cadd12aae4c09574c8bc5">begin</a> (<a class="el" href="classPort.html">Port</a> *inpPort, unsigned long inDurationMilli = 0, int inMinimumPosition = 0, int inMaximumPosition = 180, int inMovingPositionsNumber = 1)</td></tr>
<tr class="separator:a34b0fe645b1cadd12aae4c09574c8bc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bd387a1bcb96c2606b25587f8fa0d37"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a3bd387a1bcb96c2606b25587f8fa0d37">SetPowerCommand</a> (int inPin, unsigned long inDelay = 100)</td></tr>
<tr class="separator:a3bd387a1bcb96c2606b25587f8fa0d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fce38eaa89e64a11a18644fcd2d0fca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a3fce38eaa89e64a11a18644fcd2d0fca">Event</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:a3fce38eaa89e64a11a18644fcd2d0fca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e7338a290d34c194e7d351a8d4abaa5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a8e7338a290d34c194e7d351a8d4abaa5">EEPROMLoad</a> (int inPos)</td></tr>
<tr class="separator:a8e7338a290d34c194e7d351a8d4abaa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad12214b347143b4b2dc9ae8c5aa42418"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#ad12214b347143b4b2dc9ae8c5aa42418">MovePosition</a> (int inPosition)</td></tr>
<tr class="separator:ad12214b347143b4b2dc9ae8c5aa42418"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb11e2c5c1b802c18fe5f146001a2baa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#acb11e2c5c1b802c18fe5f146001a2baa">Move</a> (unsigned long inId)</td></tr>
<tr class="separator:acb11e2c5c1b802c18fe5f146001a2baa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab47b783dff3fd9cfd7049e8840edce65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#ab47b783dff3fd9cfd7049e8840edce65">MoveMinimum</a> ()</td></tr>
<tr class="separator:ab47b783dff3fd9cfd7049e8840edce65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa88f41f41c130228f2a410be6e0b037b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#aa88f41f41c130228f2a410be6e0b037b">MoveMaximum</a> ()</td></tr>
<tr class="separator:aa88f41f41c130228f2a410be6e0b037b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76f430b0a0525e6b168d2c9deb7d6347"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryServo.html#a76f430b0a0525e6b168d2c9deb7d6347">MoveToggle</a> ()</td></tr>
<tr class="separator:a76f430b0a0525e6b168d2c9deb7d6347"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classAccessory')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:a64e6260a68ac84d94394a2076746f98a inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a64e6260a68ac84d94394a2076746f98a">Accessory</a> ()</td></tr>
<tr class="separator:a64e6260a68ac84d94394a2076746f98a inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94464d9b49e5700d3c20d0cd206ac51 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af94464d9b49e5700d3c20d0cd206ac51">begin</a> (ACC_STATE inStartingState = STATE_NONE)</td></tr>
<tr class="separator:af94464d9b49e5700d3c20d0cd206ac51 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2883977d969dcde8f078934b4a9ed12 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a> () const </td></tr>
<tr class="separator:ac2883977d969dcde8f078934b4a9ed12 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b837b3afb75f5eadcde5e1742db5c7d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a> () const </td></tr>
<tr class="separator:a6b837b3afb75f5eadcde5e1742db5c7d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae26158a4fc16855e72706b317c40f9e8 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae26158a4fc16855e72706b317c40f9e8">GetPreviousState</a> () const </td></tr>
<tr class="separator:ae26158a4fc16855e72706b317c40f9e8 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69732e492455231abb564627cf66be7c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a69732e492455231abb564627cf66be7c">IsNone</a> () const </td></tr>
<tr class="separator:a69732e492455231abb564627cf66be7c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05332408472b083ff1368172b79946be inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a05332408472b083ff1368172b79946be">IsFirst</a> () const </td></tr>
<tr class="separator:a05332408472b083ff1368172b79946be inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecdd43db80db0467109219f68d5fb7e4 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aecdd43db80db0467109219f68d5fb7e4">IsSecond</a> () const </td></tr>
<tr class="separator:aecdd43db80db0467109219f68d5fb7e4 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57d1cb4de69eb625fc2bb82788591a22 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">AddMovingPosition</a> (unsigned long inId, int inPosition)</td></tr>
<tr class="separator:a57d1cb4de69eb625fc2bb82788591a22 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac818b7112183d3d65ec361c8402f927f inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac818b7112183d3d65ec361c8402f927f">GetDebounceDelay</a> () const </td></tr>
<tr class="separator:ac818b7112183d3d65ec361c8402f927f inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a933cd0907dc257b1f1047c33d41ceb2a inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a933cd0907dc257b1f1047c33d41ceb2a">GetLastMoveTime</a> () const </td></tr>
<tr class="separator:a933cd0907dc257b1f1047c33d41ceb2a inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cfe1c1ca32753832146656755f6e7a7 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">GetDuration</a> () const </td></tr>
<tr class="separator:a8cfe1c1ca32753832146656755f6e7a7 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5891e60944d8542a8bd1eb8862e5010e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a5891e60944d8542a8bd1eb8862e5010e">loop</a> ()</td></tr>
<tr class="separator:a5891e60944d8542a8bd1eb8862e5010e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49f289549f486e8307ec06123939ca40 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a49f289549f486e8307ec06123939ca40">EEPROMSave</a> (int inPos, bool inSimulate = false)</td></tr>
<tr class="separator:a49f289549f486e8307ec06123939ca40 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd67b5953eb1b55a52a87a779574e3b6 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#acd67b5953eb1b55a52a87a779574e3b6">AdjustMovingPositionsSize</a> (uint8_t inNewSize)</td></tr>
<tr class="separator:acd67b5953eb1b55a52a87a779574e3b6 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac89f301db7c889f32aa8ab5534592975 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac89f301db7c889f32aa8ab5534592975">IsEmpty</a> () const </td></tr>
<tr class="separator:ac89f301db7c889f32aa8ab5534592975 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a224977dffaa54df56def6a7b15af0031 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a> (unsigned long inId) const </td></tr>
<tr class="separator:a224977dffaa54df56def6a7b15af0031 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa249535a3c36291764e38ab1e4ae4cee inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">GetMovingPosition</a> (unsigned long inId) const </td></tr>
<tr class="separator:aa249535a3c36291764e38ab1e4ae4cee inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62eee418f630f805d36f6005e0db1a9e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">GetMovingPositionByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:a62eee418f630f805d36f6005e0db1a9e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f0410f39fa692494b51bc880714bdd1 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">GetMovingPositionIdByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:a4f0410f39fa692494b51bc880714bdd1 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292f4e066803d0f6f32a953216443c9d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a292f4e066803d0f6f32a953216443c9d">GetLastMovingPosition</a> () const </td></tr>
<tr class="separator:a292f4e066803d0f6f32a953216443c9d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4dc998e8f09ac7f94a3e06c56e8d5d4 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a> () const </td></tr>
<tr class="separator:ac4dc998e8f09ac7f94a3e06c56e8d5d4 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e837b6c4251c2fe69066d3146dd8478 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">SetLastMovingPosition</a> (uint8_t inLastPositionIndex)</td></tr>
<tr class="separator:a5e837b6c4251c2fe69066d3146dd8478 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83da11bad71b628431ac86cc1cbaf60c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a83da11bad71b628431ac86cc1cbaf60c">SetDebounceDelay</a> (unsigned int inDebounceDelay)</td></tr>
<tr class="separator:a83da11bad71b628431ac86cc1cbaf60c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4a38203fce08f72755835ff126bddb0 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af4a38203fce08f72755835ff126bddb0">SetLastMoveTime</a> ()</td></tr>
<tr class="separator:af4a38203fce08f72755835ff126bddb0 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e68b4693371383dfb026869af30d1d2 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">SetDuration</a> (unsigned long inDuration)</td></tr>
<tr class="separator:a6e68b4693371383dfb026869af30d1d2 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8deba14ebc355146c2ff26b4e4669c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a1d8deba14ebc355146c2ff26b4e4669c">SetNextAccessory</a> (Accessory *inAccessory)</td></tr>
<tr class="separator:a1d8deba14ebc355146c2ff26b4e4669c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa27a04b9e2a95729e491598cb34c6e47 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">Accessory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aa27a04b9e2a95729e491598cb34c6e47">GetNextAccessory</a> () const </td></tr>
<tr class="separator:aa27a04b9e2a95729e491598cb34c6e47 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a9a9e26544b859289f125dd075cf52e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a8a9a9e26544b859289f125dd075cf52e">GetActionStartingMillis</a> () const </td></tr>
<tr class="separator:a8a9a9e26544b859289f125dd075cf52e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1dad31ee3bcac4b1baf9a140c7fa57d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a> ()</td></tr>
<tr class="separator:ab1dad31ee3bcac4b1baf9a140c7fa57d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3c9f8604297fcb55141a720169fd90 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a9a3c9f8604297fcb55141a720169fd90">StartAction</a> (ACC_STATE inState)</td></tr>
<tr class="separator:a9a3c9f8604297fcb55141a720169fd90 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3de65543a892b3418df72f54439605cb inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a3de65543a892b3418df72f54439605cb">ResetAction</a> ()</td></tr>
<tr class="separator:a3de65543a892b3418df72f54439605cb inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c3ad3e37a2ba5914f419abd3e2426f inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae8c3ad3e37a2ba5914f419abd3e2426f">IsActionDelayPending</a> () const </td></tr>
<tr class="separator:ae8c3ad3e37a2ba5914f419abd3e2426f inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef81e617d15f62090ccce7eee4f0d3c3 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">IsGroupActionPending</a> () const </td></tr>
<tr class="separator:aef81e617d15f62090ccce7eee4f0d3c3 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e5e9122c96773c975fe9d2c2db6520 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a> (ACC_STATE inNewState)</td></tr>
<tr class="separator:a60e5e9122c96773c975fe9d2c2db6520 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5208f338b6ea9a5b5fd554c4e1ec60e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac5208f338b6ea9a5b5fd554c4e1ec60e">SetStartingMillis</a> ()</td></tr>
<tr class="separator:ac5208f338b6ea9a5b5fd554c4e1ec60e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882c7616f0433475d65e1ac5e8ecf616 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a882c7616f0433475d65e1ac5e8ecf616">ResetStartingMillis</a> ()</td></tr>
<tr class="separator:a882c7616f0433475d65e1ac5e8ecf616 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classAccessory')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:a6cf36c65d1519eb7e5a6aac1cba7fe51 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6cf36c65d1519eb7e5a6aac1cba7fe51">ExecuteEvent</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:a6cf36c65d1519eb7e5a6aac1cba7fe51 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8b0920b2a419e278fbc79e3fcc75f86 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af8b0920b2a419e278fbc79e3fcc75f86">GetCount</a> ()</td></tr>
<tr class="separator:af8b0920b2a419e278fbc79e3fcc75f86 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4efeb5b525027d5ccb692f0560a3474 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae4efeb5b525027d5ccb692f0560a3474">IsActionPending</a> ()</td></tr>
<tr class="separator:ae4efeb5b525027d5ccb692f0560a3474 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89d2b99293b24e6ccc38938384563f2 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static Accessory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ab89d2b99293b24e6ccc38938384563f2">GetFirstAccessory</a> ()</td></tr>
<tr class="separator:ab89d2b99293b24e6ccc38938384563f2 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classAccessory')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:ae1ebffdf3fe753e3c5e7d05c2a61fd18 inherit pro_attribs_classAccessory"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a></td></tr>
<tr class="separator:ae1ebffdf3fe753e3c5e7d05c2a61fd18 inherit pro_attribs_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7079494cf9cb5130e5b3a5762e04e947 inherit pro_attribs_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">prevState</a></td></tr>
<tr class="separator:a7079494cf9cb5130e5b3a5762e04e947 inherit pro_attribs_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a servo powered by a port. A servo has a minimum, a maximum and a current position.</p>
<p>A movement can be splitted into small steps with a duration for each one.</p>
<p>Use <a class="el" href="classAccessoryServo.html#aa29ccb7c6cb0dd8e133a45c06e4019fd">AddMinMaxMovingPositions()</a> to define <a class="el" href="structMovingPosition.html">MovingPosition</a> for minimum and maximum positions. Use <a class="el" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">AddMovingPosition()</a> to define intermediate positions.</p>
<p>To avoid erratic movements when the servo dont move, its power can be stopped by a pin connected to a relay or a transistor. In this case, the movement is:</p>
<pre class="fragment">MovePosition()

Activate pin, power delay, full movement, power delay, Disactivate pin.
</pre> 
<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00063">63</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aff937dbf8b0adc731c408bafeae3ea35"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AccessoryServo::AccessoryServo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00012">12</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aa29ccb7c6cb0dd8e133a45c06e4019fd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::AddMinMaxMovingPositions </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inIdMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inIdMax</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Defines two <a class="el" href="structMovingPosition.html">MovingPosition</a> for minimum and maximum positions. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIdMin</td><td>id for minimum position. </td></tr>
    <tr><td class="paramname">inIdMax</td><td>id for maximum position. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00104">104</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a34b0fe645b1cadd12aae4c09574c8bc5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::begin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPort.html">Port</a> *&#160;</td>
          <td class="paramname"><em>inpPort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDurationMilli</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inMinimumPosition</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inMaximumPosition</em> = <code>180</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inMovingPositionsNumber</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inpPort</td><td><a class="el" href="classPort.html">Port</a> driven this motor. </td></tr>
    <tr><td class="paramname">inDurationMilli</td><td>Duration in milliseconds of a step for the movement. If 0, the movement will go as fast as possible. Default is 0. </td></tr>
    <tr><td class="paramname">inMinimumPosition</td><td>Minimum position in degrees. Default is 0. </td></tr>
    <tr><td class="paramname">inMaximumPosition</td><td>Maximum position in degrees. Default is 180. </td></tr>
    <tr><td class="paramname">inMovingPositionsNumber</td><td>Size of a step for movement. Default is 1 degree. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00020">20</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a508e4bd324b4784b1dbf3bc729906725"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryServo::CanBePositional </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the accessory can be moved by an absolute value instead of a fix position. </p><dl class="section return"><dt>Returns</dt><dd>true if the accessory can be moved with move() function using an absolute value. </dd></dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a212359e11100e5ee9af5bd94a64d8823">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00128">128</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8e7338a290d34c194e7d351a8d4abaa5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int AccessoryServo::EEPROMLoad </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reload all data from the EEPROM. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a245ad3bad4fa0f1d657fdc20b2edb868">Accessory</a>.</p>

</div>
</div>
<a class="anchor" id="a3fce38eaa89e64a11a18644fcd2d0fca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::Event </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>ACCESSORIES_EVENT_MOVEPOSITIONID</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Execute a new event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of an accessory or an accessory item. </td></tr>
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is ACCESSORIES_EVENT_MOVEPOSITIONID. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a6f4a8cacc38e0bac6e83ed5a136073e0">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00142">142</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8ba8df88782420e8b0ac8daaa08c839c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int AccessoryServo::GetCurrentPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the current position of this servo. </p><dl class="section return"><dt>Returns</dt><dd>current position in degrees. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00092">92</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a6cf8090b153babc59ea4fd68e667b524"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int AccessoryServo::GetMaximumPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the maximum position of this servo. </p><dl class="section return"><dt>Returns</dt><dd>maximum position in degrees. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00087">87</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8c7242a9a390a8ef84aaa6ffa4903d66"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int AccessoryServo::GetMinimumPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the minimum position of this servo. </p><dl class="section return"><dt>Returns</dt><dd>minimum position in degrees. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00082">82</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a9a7748426c761fda3f018d7e8310c9ed"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MovementSpeed AccessoryServo::GetMovementSpeed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the movement speed computed internally. </p><dl class="section return"><dt>Returns</dt><dd>MovementSpeed. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00358">358</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a91065a4e5fb34bbdbe1f7f7c4f3c80b4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryServo::IsMaximumOrGreaterPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the maximum position is reached. </p><dl class="section return"><dt>Returns</dt><dd>true it the current position if greater or equals to maximal position.. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00114">114</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a334bdb362302f017da902c101293c2aa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryServo::IsMinimumOrLowerPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the minimum position is reached. </p><dl class="section return"><dt>Returns</dt><dd>true it the current position if lower or equals to minimal position.. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00109">109</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a953f43e74fef2596af0ccfbf6ab3397e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryServo::IsMiscPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the current position is in the limits. </p><dl class="section return"><dt>Returns</dt><dd>true it the current position if greater to minimal position and lower then maximum position. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00119">119</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="acb11e2c5c1b802c18fe5f146001a2baa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::Move </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Basic moving function. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inId</td><td>new position id from <a class="el" href="structMovingPosition.html">MovingPosition</a> to reach. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classAccessory.html#a2ab6995aadf87dd3f7edf1d2f448ab85">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00113">113</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="aa88f41f41c130228f2a410be6e0b037b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::MoveMaximum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="classAccessoryServo.html#acb11e2c5c1b802c18fe5f146001a2baa">Move</a> to maximum position. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00060">60</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="ab47b783dff3fd9cfd7049e8840edce65"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::MoveMinimum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="classAccessoryServo.html#acb11e2c5c1b802c18fe5f146001a2baa">Move</a> to minimum position. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00051">51</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="ad12214b347143b4b2dc9ae8c5aa42418"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::MovePosition </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPosition</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><a class="el" href="classAccessoryServo.html#acb11e2c5c1b802c18fe5f146001a2baa">Move</a> to the given position. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inPosition</td><td>new position to reach in degrees. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a3662f43014a6ec1f8719a687fe5c33ba">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00134">134</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a76f430b0a0525e6b168d2c9deb7d6347"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ACC_STATE AccessoryServo::MoveToggle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Change from minimum to maximum or maximum to minimum. </p><dl class="section return"><dt>Returns</dt><dd>returns the new state. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00069">69</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="ab798dc607c3829d083d98249384d6351"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::SetMinMax </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inMinimum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inMaximum</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the minimum and maximum positions. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inMinimum</td><td>minimum position in degrees. </td></tr>
    <tr><td class="paramname">inMaximum</td><td>maximum position in degrees. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8hpp_source.html#l00098">98</a> of file <a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a3bd387a1bcb96c2606b25587f8fa0d37"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryServo::SetPowerCommand </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDelay</em> = <code>100</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the pin to control the servo power. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inPin</td><td>pin to set to HIGH to activate servo power. </td></tr>
    <tr><td class="paramname">inDelay</td><td>delay to wait after the activation before starting the movement, and after the end of the movement before unactivate the pin. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryServo_8cpp_source.html#l00041">41</a> of file <a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryServo_8hpp_source.html">AccessoryServo.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryServo_8cpp_source.html">AccessoryServo.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classAccessoryServo.html">AccessoryServo</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
